POST api/MeClientSetUp/SaveCorporationExamCertificate
Request Information
URI Parameters
None.
Body Parameters
CorporationExamCertificateDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| CustomTemplate | string |
String length: inclusive between 0 and 4000 |
|
| ExamCertificateId | integer |
None. |
|
| CertificateName | string |
String length: inclusive between 0 and 250 |
|
| IsCustomTemplate | boolean |
None. |
|
| CustomTemplateType | string |
String length: inclusive between 0 and 20 |
|
| ExamId | string |
String length: inclusive between 0 and 20 |
|
| ExamName | string |
String length: inclusive between 0 and 200 |
|
| MessageTemplate | string |
String length: inclusive between 0 and 4000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CorporationCode": "sample string 2",
"CustomTemplate": "sample string 3",
"ExamCertificateId": 4,
"CertificateName": "sample string 5",
"IsCustomTemplate": true,
"CustomTemplateType": "sample string 7",
"ExamId": "sample string 8",
"ExamName": "sample string 9",
"MessageTemplate": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:16.1847655-07:00",
"DateUpdated": "2026-06-20T12:49:16.1847655-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCorporationExamCertificateDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CorporationExamCertificateDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CorporationCode": "sample string 2",
"CustomTemplate": "sample string 3",
"ExamCertificateId": 4,
"CertificateName": "sample string 5",
"IsCustomTemplate": true,
"CustomTemplateType": "sample string 7",
"ExamId": "sample string 8",
"ExamName": "sample string 9",
"MessageTemplate": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:16.1847655-07:00",
"DateUpdated": "2026-06-20T12:49:16.1847655-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
"totalCount": 3
}